﻿@using ARGNS.WebSite.Resources.Views.DataTables;
@model Tuple<List<ARGNSModelView>, PDMSAPCombo>
@{
	bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.StyleList.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
	bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.StyleList.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
	bool _Delete = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.StyleList.ToDescriptionString() && c.InternalKey == Enums.Actions.Delete.ToDescriptionString()).FirstOrDefault() != null ? true : false;
	bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.StyleList.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<div class="panel panel-default">
	<div class="panel-heading clearfix">
		<h3 class="panel-title">@PDM.ProductList</h3>
	</div>

	<div class="panel-body">
		<div class="table-responsive">
			<table id="assets-data-table" class="table table-striped table-hover display">
				<script type="text/javascript">
					var assetListVM;
					$(function () {
						assetListVM = {
							dt: null,
							init: function () {
                                dt = $('#assets-data-table').DataTable({
                                     "language": {
                                                "lengthMenu": "@Shared.DTlengthMenu",
                                                "zeroRecords": "@Shared.DTzeroRecords",
                                                "info": "@Shared.DTinfo",
                                                "infoEmpty": "@Shared.DTinfoEmpty",
                                                "infoFiltered": "@Shared.DTinfoFiltered",
                                                "paginate": {
                                                    "previous": "@Shared.DTprevious",
                                                    "next": "@Shared.DTnext",
                                                    "first": "@Shared.DTfirst",
                                                    "last": "@Shared.DTlast"
                                                }
                                            },
									"autoWidth": true,
									"serverSide": true,
									"processing": true,
									"data": null,
									"dom": 'Blfrtip',
									"buttons": ['excel', 'pdf', 'print'],
									"searching": false,
									"ajax": {
										"url": "/PLM/PDM/ListPDM",
										"type": "POST",
										"data": function (data) {
											data.CodeModel = $("#txtCodeModel").val();
											data.NameModel = $("#txtNameModel").val();
											data.SeasonModel = $("#txtSeasonModel").val();
											data.GroupModel = $("#txtGroupModel").val();
											data.BrandModel = $("#txtBrand").val();
											data.CollectioModel = $("#txtCollection").val();
											data.SubCollectionModel = $("#txtSubCollection").val();
										}
									},
									"columns": [
										{ "title": "@PDM.ModelCode", "data": "U_ModCode", "name": "U_ModCode" },
										{ "title": "@PDM.Desc", "data": "U_ModDesc", "name": "U_ModDesc" },
										{ "title": "@PDM.Season", "data": "U_Season", "name": "U_Season" },
										{ "title": "@PDM.PG", "data": "U_ModGrp", "name": "U_ModGrp" },
										{ "title": "@PDM.Brand", "data": "U_Brand", "name": "U_Brand" },
										{ "title": "@PDM.SColl", "data": "U_CollCode", "name": "U_CollCode" },
										{ "title": "@PDM.SubColl", "data": "U_AmbCode", "name": "U_AmbCode" },
									{
										"title": "", "data": null, "width": "110px", "orderable": false, "name": "",
										"render": function (data, type, full, meta) {
											if (@_Update.ToString().ToLower() == true)
											{
												var mReturnValue = "";

												mReturnValue += "<a href=\"/PLM/PDM/ActionPDM?ActionPDM=UpdateModel&ModelCode=" + 
													data.Code + "&pU_ModCode=" + 
													data.U_ModelCode + "&From=List\" class=\"btn btn-primary btn-xs\" style=\"margin-right:2px !important\"><span class=\"glyphicon glyphicon-circle-arrow-right\"></span>&nbsp;@PDM.Edit</a>";
											}
											return mReturnValue;
										}
									}
									],
									"lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
									language: {
										processing: "@DataTables.Processing",
										lengthMenu: "@DataTables.Show _MENU_ @DataTables.Entries",
										info: "@DataTables.Showing _START_ @DataTables.To _END_ @DataTables.Of _TOTAL_ @DataTables.Entries",
										paginate: {
											previous: "@DataTables.Previous",
											next: "@DataTables.Next"
										}
									},
								});
							},
							refresh: function () {
								dt.ajax.reload();
							}
						}
					});
				</script>
			</table>
		</div>
	</div>
</div>

@if (_Add)
{
	<div class="col-md-2 pull-right but_blok_footer ">
		<a href='@Url.Action("ActionPDM", "PDM", new { @ActionPDM = "AddModel", @ModelCode = "0", @pU_ModCode = "0", @From = "List" })' class="btn btn-success btn-ls pull-right ">
			<span class="glyphicon glyphicon-file"></span>&nbsp;@PDM.Add
		</a>
	</div>
}



<script type="text/javascript" charset="utf-8">
	$(document).ready(function () {
		$('#example').on('page.dt', function (e) { alert(e); eventFired('Page'); }).dataTable().columnFilter();
	});
</script>